Skip to main content
`Ctrl`+`K`

# MatSetFactorType

sets the type of factorization a matrix is

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetFactorType(Mat mat, MatFactorType t)

Logically Collective

## Input Parameters

- mat - the matrix

- t - the type, one of `MAT_FACTOR_NONE`, `MAT_FACTOR_LU`, `MAT_FACTOR_CHOLESKY`, `MAT_FACTOR_ILU`, `MAT_FACTOR_ICC,MAT_FACTOR_ILUDT`, `MAT_FACTOR_QR`

## See Also

Matrices, `Mat`, Matrix Factorization, `MatFactorType`, `MatGetFactor()`, `MatGetFactorType()`, `MAT_FACTOR_NONE`, `MAT_FACTOR_LU`, `MAT_FACTOR_CHOLESKY`, `MAT_FACTOR_ILU`, `MAT_FACTOR_ICC`,`MAT_FACTOR_ILUDT`, `MAT_FACTOR_QR`

## Level

intermediate

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages